MP4(3)

NAME

MP4GetODProfileLevel - Gets the minimum MPEG-4 object descriptor profile and level required to render the contents of the file

SYNTAX

#include <mp4.h>

u_int8_t MP4GetODProfileLevel(
        MP4FileHandle hFile
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

RETURN VALUES

The current object descriptor profile/level for the file. See MP4SetODProfileLevel() for known values.

DESCRIPTION

MP4GetODProfileLevel returns the minumum profile/level of MPEG-4 object descriptor support necessary to render the contents of the file.

SEE ALSO

MP4(3) MP4SetODProfileLevel(3)